## mingw-w64-python-pyamg-5.2.1-3.src.tar.zst

=== requirements.txt ===
numpy
scipy>=1.11.0
